---
id: author
title: Author
---

export const Tag = ({children, color}) => (
<span
style={{
      backgroundColor: color,
      borderRadius: '2px',
      color: '#fff',
      padding: '0.2rem',
    }}>
{children}
</span>
);

No description

```graphql
type Author {
  _hash_id: ID
  email: String
  first: String
  fist: String
  last: String
  middle: String
  suffix: String
  collections(
    first: Int = 0
    offset: Int = 0
    orderBy: [_AuthorCollectionOrdering] = []
    filter: _AuthorCollectionFilter
  ): [AuthorCollection]
  affiliation(
    first: Int = 0
    offset: Int = 0
    orderBy: [_AffiliationOrdering] = []
    filter: _AffiliationFilter
  ): [Affiliation]
  _id: String
}
```

### Fields

#### `_hash_id` ([`ID`](/docs/api/scalars/id))

#### `email` ([`String`](/docs/api/scalars/string))

#### `first` ([`String`](/docs/api/scalars/string))

#### `fist` ([`String`](/docs/api/scalars/string))

#### `last` ([`String`](/docs/api/scalars/string))

#### `middle` ([`String`](/docs/api/scalars/string))

#### `suffix` ([`String`](/docs/api/scalars/string))

#### `collections` ([`[AuthorCollection]`](/docs/api/objects/author-collection))

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_AuthorCollectionOrdering]`](/docs/api/enums/author-collection-ordering))

- ##### `filter` ([`_AuthorCollectionFilter`](/docs/api/inputs/author-collection-filter))

#### `affiliation` ([`[Affiliation]`](/docs/api/objects/affiliation))

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_AffiliationOrdering]`](/docs/api/enums/affiliation-ordering))

- ##### `filter` ([`_AffiliationFilter`](/docs/api/inputs/affiliation-filter))

#### `_id` ([`String`](/docs/api/scalars/string))

Generated field for querying the Neo4j [system id](https://neo4j.com/docs/cypher-manual/current/functions/scalar/#functions-id) of this node.
